{% extends 'base.html.twig' %}

{% block title %}Film index{% endblock %}

{% block body %}

    <div class="container">

    <style>
     div {background-color: black;}
     body {background-color : black;}
    </style>

    <style>
     .text-center {background : red;}
    </style>
    
        <h1 class="text-center">PHP CINE</h1>

        <div class="row justify-content-md-center">

            {% for item in films %}
                <style>
                .card-body {color : red; height : 12rem;}
                </style>
                <div class="col-4" >
                    <img src="{{ item.image }}" class="card-img-top" alt="image de film">
                    <div class="card-body">
                        <h5 class="card-title">{{ item.titre }}</h5>
                        <a href="{{ path('app_film_edit', {'id': item.id}) }}" class="btn btn-primary">edition</a>
                        <a href="{{ path('app_film_show', {'id': item.id}) }}" class="btn btn-primary"> details </a>
                    </div>
                    
                </div>

            {% endfor %}

        </div>

        <a href="{{ path('app_film_new') }}">Create new</a>
    </div>
{% endblock %}
